#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: test-framework
version: 0.8.0.3
id: test-framework-0.8.0.3-89e93ce88a92e6de89b0656f5c4ada26

license: BSD3
copyright:
maintainer: Libraries List <libraries@haskell.org>
stability:
homepage: https://batterseapower.github.io/test-framework/
package-url:
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description: Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
             parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
             command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
author: Max Bolingbroke <batterseapower@hotmail.com>
exposed: True
exposed-modules: Test.Framework Test.Framework.Options
                 Test.Framework.Providers.API Test.Framework.Runners.Console
                 Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
                 Test.Framework.Runners.API Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/test-framework-0.8.0.3
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/test-framework-0.8.0.3
              /usr/local/lib
hs-libraries: HStest-framework-0.8.0.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: ansi-terminal-0.6.1.1-3c737b5810ea1330377ce10ab93e41bb
         ansi-wl-pprint-0.6.7.1-bcb791551d3f60726e62d6ed3d9e5559
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         containers-0.5.5.1-23e2a2b94d6e452c773209f31d8672c5
         hostname-1.0-356901187e807ab2c96f2ca0c9125cee
         old-locale-1.0.0.6-09baf1dbc5be8338e5eba7c5bb515505
         random-1.0.1.1-ea125bb357de39b1f8403eb83fa4e9c7
         regex-posix-0.95.2-e033a57dca50dc96eee3818988df930f
         time-1.4.2-9927ada6d5503e0b70e51a11902c8b61
         xml-1.3.13-29565e265111775e0bcccfe1a282cc2f
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/test-framework-0.8.0.3/html/test-framework.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/test-framework-0.8.0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
